package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 生产过程上下文对象-临时数据
 */
@Data
public class MesProdTempDataContext implements Serializable {

    private static final long serialVersionUID = -5184127961206077150L;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam(name = "数据关联键")
    private Integer foreignKey;

    @ApiParam("流水号")
    public String serialNo;

    public MesProdTempDataContext() {}

    public MesProdTempDataContext(String organizeCode) {
        this.organizeCode = organizeCode;
    }

    public MesProdTempDataContext(String organizeCode, Integer foreignKey) {
        this.organizeCode = organizeCode;
        this.foreignKey = foreignKey;
    }

    public MesProdTempDataContext serialNo(String serialNo) {
        this.serialNo = serialNo;
        return this;
    }

}
